Subject: Re: [Bug 106241] New: shutdown(3)/close(3) behaviour is incorrect for sockets in accept(3)

From: Alan Burlison <[email-masked]>
Date: Fri, 23 Oct 2015 14:35:31 +0100

On 23/10/2015 14:02, Eric Dumazet wrote:

>> Other data is used to make sure that it only takes O(log(n)) to find the
>> lowest available file descriptor entry.  (Where n, I think, is the returned
>> descriptor)
>
> Yet another POSIX deficiency.
>
> When a server deals with 10,000,000+ socks, we absolutely do not care of
> this requirement.
>
> O(log(n)) is still crazy if it involves O(log(n)) cache misses.

If you think it's a POSIX deficiency then logging a DR is probably the 
correct way of addressing that. And as I've said it's fine to decide 
that you don't care about what POSIX says on the subject but you can't 
simultaneously claim POSIX conformance. One or the other, not both.

-- 
Alan Burlison
--